%define pypi_name blinker

Name:           python-blinker
Version:        1.9.0
Release:        %mkrel 3
Summary:        Fast, simple object-to-object and broadcast signaling

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/blinker/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Blinker provides a fast dispatching system that allows any number of interested
parties to subscribe to events, or "signals".

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        %{summary}

%description -n python3-%{pypi_name}
Blinker provides a fast dispatching system that allows any number of interested
parties to subscribe to events, or "signals".

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files blinker

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.9.0-3.mga10
+ Revision: 2237648
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 1.9.0-2.mga10
+ Revision: 2153648
- rebuild for python 3.13

* Sun Dec 15 2024 papoteur <papoteur> 1.9.0-1.mga10
+ Revision: 2125384
- new version 1.9.0

* Tue Dec 19 2023 wally <wally> 1.7.0-1.mga10
+ Revision: 2019795
- new version 1.7.0
- use %%pyproject_buildrequires

* Wed Jun 07 2023 kekepower <kekepower> 1.6.2-1.mga9
+ Revision: 1961157
- Update to version 1.6.2

* Thu Sep 08 2022 neoclust <neoclust> 1.5-1.mga9
+ Revision: 1885894
- New version 1.5

* Wed Mar 23 2022 umeabot <umeabot> 1.4-10.mga9
+ Revision: 1822631
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 1.4-9.mga9
+ Revision: 1774717
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 1.4-8.mga9
+ Revision: 1708501
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.4-7.mga8
+ Revision: 1608258
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.4-6.mga8
+ Revision: 1533714
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 1.4-5.mga8
+ Revision: 1445338
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 1.4-4.mga7
+ Revision: 1351277
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4-3.mga7
+ Revision: 1288357
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.4-2.mga7
+ Revision: 1135325
- Rebuild for python 3.6

* Mon Jan 18 2016 daviddavid <daviddavid> 1.4-1.mga6
+ Revision: 925545
- new version: 1.4
- use new python macros

* Sat Oct 10 2015 tv <tv> 1.3-9.mga6
+ Revision: 888744
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5
+ Revision: 749128
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-7.mga5
+ Revision: 728108
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 687905
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.3-5.mga5
+ Revision: 629728
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.3-4.mga5
+ Revision: 628472
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 543235
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-2.mga4
+ Revision: 498193
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 1.3-1.mga4
+ Revision: 492216
- imported package python-blinker

